﻿<div class="navbar" ng-model="event">
    <div class="navbar-inner">
        <div class="left sliding">
            <a class="link back icon-only"><i class="ionicons ion-android-arrow-forward"></i></a>
        </div>
        <div class="center sliding">
            {{event.name}}
        </div>
        <div class="right sliding">
            <a ng-click="GoToSearch()" class="link icon-only"><i class="ionicons ion-android-search"></i> </a>
        </div>
    </div>
    <div class="subnavbar">
        <div class="list-block">
            <ul>
                <li>
                    <a id="linkHomeBannerCity" href="#" data-open-in="popup" data-popup-close-text="إغلاق" class="item-link smart-select" data-back-on-select="true">
                        <select ng-change="goToSearchResult(selectedItem)" ng-model="selectedItem" ng-options="city.name for city in cites"></select>

                        <div class="item-content">
                            <div class="item-media"><i class="ionicons ion-android-pin"></i></div>
                            <div class="item-inner"> {{CurrentuserCityName}} </div>
                        </div>
                    </a>
                </li>
            </ul>

        </div>

    </div>
</div>
<div id="divInfiniteEventDetails" class="page-content infinite-scroll pull-to-refresh-content" ng-model="event">
    <div class="pull-to-refresh-layer">
        <div class="preloader"></div>
    </div>

    <!-- swiper Page-->
    <div id="activitiesDetailswiper" class="swiper-container  offerImg swiperAdvertisment">
        <div class="swiper-wrapper">
            <div class="swiper-slide" ng-repeat="ad in Advertisements">
                <div class="item">
                    <a ng-click="goToAdvertisementUrl(ad.url)">
                        <img data-ng-src="{{ ad.photoUrl | generateURL}}" class="lazy" src="img/oval.svg" fallback-src="img/no-product.png" />
                    </a>
                </div>
            </div>
        </div>
    </div>

    <div class="cards">
        <div class="card headPic">
            <div class="star" ng-if="event.isBin">
                <i class="ionicons ion-ios-star"></i>
            </div>
            <img data-ng-src="{{eventImage | generateURL }}" src="img/oval.svg" class="lazy" fallback-src="img/no-product.png" />
            <div class="overlay">
                <div class="row details">
                    <div class="col-100">
                        <a ng-click="addEventInFavorites(event)" ng-if="userIsRegistered">
                            <i ng-class="eventFavoriteClass"></i>
                        </a>
                        <a ng-click="shareEvent(event)" ng-if="userIsRegistered">
                            <i class="ionicons ion-android-share"></i>
                        </a>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <div class="content-block">
        <div class="row">
            <div class="col-100">
                <a ng-click="GoToUber(event)" href="#" class="button button-round uber"><img src="img/uber.png">اذهب بواسطة اوبر</a>
            </div>
            <div class="col-100">
                <a ng-click="GoToCareem(event)" href="#" class="button button-round careem"><img src="img/careem.png">اذهب بواسطة كريم</a>
            </div>
            <div class="col-100">
                <a ng-click="GoToCaptain(event)" href="#" class="button button-round captain"><img src="img/captain.jpg">اذهب بواسطة كابتن</a>
            </div>
        </div>
        <h3 ng-if="event">اسم الفعالية</h3>
        <p ng-if="event">{{event.name}}</p>
        <p ng-if="event">
            <jk-rating-stars max-rating="5" rating="event.rating" read-only="true" on-rating="onRating(rating,event)"></jk-rating-stars>
        </p>
    
        <h3 ng-show="event">الفرع الرئيسي</h3>
        <div class="card" ng-show="event" ng-click="openEventMap()" >
            <div id="activitiesDetailsMainMap" class="overlayMap"></div>
            <div id="mapEvent" class="map"></div>
        </div>

        <p ng-if="event"><i class="ionicons ion-location"></i> {{event.country}} - {{event.city}}{{event.municipality}}</p>

        <h3 ng-if="event">اسم صاحب الفعالية</h3>
        <a ng-if="event" ng-click="GoToEventOwner(event)"><p><i class="ionicons ion-person"></i> {{event.owner}}</p></a>


        <h3 ng-if="event">البداية</h3>
        <p ng-if="event"><i class="ionicons ion-android-time"></i> {{event.eventStartDate}} - {{event.startTime}} </p>


        <h3 ng-if="event">النهاية</h3>
        <p ng-if="event"><i class="ionicons ion-android-time"></i> {{event.eventEndDate}} - {{event.endTime}} </p>

        <h3 ng-if="event">تفاصيل الفعالية</h3>
        <p ng-if="event">
            {{event.description}}
        </p>

        <h3 ng-if="event">صور الفعالية</h3>
        <div ng-if="event" ng-show="EventContainsImages" class="row">
            <div class="col-25" ng-repeat="eventImage in eventImages | filter: filterImages | limitTo:4">
                <a ng-click="openEventGallery($index)" class="pb-popup-dark">
                <img data-ng-src="{{eventImage.imageUrl | generateURL}}" src="img/oval.svg" class="lazy" fallback-src="img/no-product.png" /></a>
            </div>
        </div>
        <div ng-if="event" class="divAlertDesc" ng-hide="EventContainsImages">
            <p class="pNotification">لا يوجد صور للفعالية .</p>
        </div>

        <h3 ng-if="event">التواصل مع الفعالية</h3>
        <div ng-if="event" class="row">
            <div class="col-100" ng-if="event.contactPhoneNumber">
                <p ng-click="eventOwnerContact('call',event.contactPhoneNumber)">
                    <i class="ionicons ion-android-call"></i> <span class="socialLink"> {{event.contactPhoneNumber}} </span>
                </p>
            </div>
            <div class="col-100" ng-if="event.contactWhatsUp">
                <p ng-click="eventOwnerContact('whatsapp',event.contactWhatsUp)">
                    <i class="ionicons ion-social-whatsapp"></i> <span class="socialLink"> {{event.contactWhatsUp}} </span>
                </p>
            </div>
            <div class="col-100" ng-if="event.contactFaceBook">
                <p ng-click="eventOwnerContact('facebok',event.contactFaceBook)">
                    <i class="ionicons ion-social-facebook"></i>  <span class="socialLink"> {{event.contactFaceBook}} </span>
                </p>
            </div>
            <div class="col-100" ng-if="event.contactTwitter">
                <p ng-click="eventOwnerContact('twitter',event.contactTwitter)">
                    <i class="ionicons ion-social-twitter"></i> <span class="socialLink"> {{event.contactTwitter}} </span>
                </p>
            </div>
            <div class="col-100" ng-if="event.contactGoogle">
                <p ng-click="eventOwnerContact('googleplus',event.contactGoogle)">
                    <i class="ionicons ion-social-googleplus"></i>  <span class="socialLink"> {{event.contactGoogle}}</span>
                </p>
            </div>
        </div>
        <div class="divAlertDesc" ng-if="eventContacts">
            <p class="pNotification">لا يوجد وسائل تواصل لهذا المشروع .</p>
        </div>

        <div class="rate" ng-show="userIsOwner">
            <p>إترك تقييمك</p>
            <jk-rating-stars max-rating="5" rating="event.userRating" read-only="false" on-rating="RateEvent(rating, event)"></jk-rating-stars>
        </div>
        <div class="list-block rate" ng-show="userIsRegistered">
            <p>اكتب تعليقك</p>
            <form name="$parent.EventCommentsForm" ng-submit="submitForm($parent.EventCommentsForm.$valid)" novalidate>
                <ul>
                    <li>
                        <div class="item-content" ng-class="submittedEventComment && EventCommentReset && $parent.EventCommentsForm.commentText.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <textarea name="commentText" type="text" placeholder="اكتب تعليقك" ng-model="eventCommentsForm.commentText" required></textarea>
                                </div>
                            </div>
                        </div>
                        <p ng-if="submittedEventComment && EventCommentReset  && $parent.EventCommentsForm.commentText.$error.required" class="error-block">يجب إدخال التعليق</p>
                    </li>
                </ul>
                <p>
                    <button type="submit" ng-click="submittedEventComment=true" class="button button-round purple">إضافة تعليق</button>
                </p>
            </form>
        </div>

        <h3>التعليقات</h3>
        <ul class="chatui" ng-show="EventContainsComments">
            <li ng-repeat="comment in comments">
                <div class="chatavatar">
                    <img data-ng-src="{{comment.photoUrl | generateURL}}" src="img/oval.svg" class="lazy" fallback-src="img/no-product.png" />
                </div>
                <div class="column-right chat">
                    <div class="chat-text">
                        <div class="commentowner">
                            {{comment.fullName}}
                        </div>
                        <p>{{comment.commentText}}</p>
                        <span>
                            <a ng-click="OpenReplies(comment)">
                                <i class="ionicons ion-chatboxes"></i>
                                {{comment.childrenCommentsCount}} من الردود
                            </a>
                        </span>
                        <span class="chat-delete" ng-show="comment.isCommentOwner">
                            <a ng-click="DeleteComment(comment)">
                                <i class="ionicons ion-android-delete"></i> حذف
                            </a>
                        </span>
                    </div>
                    <div class="chat-time">{{comment.commentPeriod}}</div>
                </div>
            </li>
        </ul>
        <div class="divAlertDesc" ng-show="!EventContainsComments">
            <p class="pNotification">لا يوجد تعليقات .</p>
        </div>
        <div id="infiniteLoaderActivityDetails" class="infiniteLoader" ng-show="EventMoreThanThreeComments">
            <img ng-src="img/load.svg" />
        </div>
    </div>
</div>